Download it now!
Bug 74775 - Citation field flags are not preserved in Roundtrip file
Summary: Citation field flags are not preserved in Roundtrip file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-10 07:44 UTC by Rohit Deshmukh
Modified: 2014-03-19 16:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original file (15.73 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-10 07:44 UTC, Rohit Deshmukh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohit Deshmukh 2014-02-10 07:44:31 UTC
Created attachment 93745 [details]
Original file

Steps to reproduce:

1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Open the NEW.DOCX in Word
4. Citation should b preserved
Comment 1 Jorendc 2014-02-10 22:16:57 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 5c8a3bfc7e42009a7eaa6353cf2f66a14bfdab76
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-02-10_10:33:47

Kind regards,
Joren
Comment 2 Commit Notification 2014-03-14 09:46:38 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=06f7d1a96eef5aa69d4872ff6d96eb5085296d09

fdo#74775: Preseved Citation after round trip.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-03-19 16:54:03 UTC
Thanks!

I can confirm the field is being preserved, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 90dd4320de6ace24e464979630a2c9fbab35f64b
TinderBox: Win-x86@39, Branch:master, Time: 2014-03-19_00:22:53

There is still some naming-issue, but that is already reported in bug 76281 and bug 76279.

Kind regards,
Joren